from django.urls import path
from . import views


urlpatterns = [  

    path('status/', views.add_status_modal, name='addstatusmodal'),
    path('customer/', views.add_customer, name='addcustomer'),
    path('business/', views.add_business, name='addbusiness'),
    path('addressbook/', views.add_addressbook, name='addaddressbook'),

    path('staff/', views.add_staff, name='adduser'),


    path('project/', views.add_project, name='addproject'),
    path('milestone/<str:project_id>/', views.add_milestone, name='addmilestone'),
    path('milestone-story/<str:milestone_id>/', views.add_user_story_modal, name='addmilestoneuserstorymodal'),
    path('project-member/<str:project_id>/', views.add_project_member_modal, name='addprojectmembermodal'),
    path('project-story/<str:project_id>/', views.add_user_story_modal, name='adduserstorymodal'),
    path('project-file/<str:project_id>/', views.add_file_modal, name='addfilemodal'),
    path('project-credential/<str:project_id>/', views.add_credential_modal, name='addcredentialmodal'),
    path('project-note/<str:project_id>/', views.add_note_modal, name='addprojectnotemodal'),



    path('task/', views.add_task, name='addtask'),
    path('task/<str:project_id>/', views.add_task, name='addprojecttask'),
    path('task/<str:project_id>/<int:requirement_id>/', views.add_task, name='adduserstorytask'),
    path('point/<str:task_id>/', views.add_point_modal, name='addpointmodal'),
    path('taskpoint/<str:task_id>/', views.save_point_modal, name='savepointmodal'),
    path('epic/<str:project_id>/', views.add_epic, name='addepic'),
    path('note/', views.add_note_modal, name='addnotemodal'),
    path('dailyreport/', views.add_daily_report, name='adddailyreport'),
    path('department/', views.add_department_modal, name='adddepartmentmodal'),
    path('projecttype/', views.add_projecttype_modal, name='addprojecttypemodal'),
    path('jobposition/', views.add_jobposition_modal, name='addjobpositionmodal'),
    path('businesstype/', views.add_businesstype_modal, name='addbusinesstypemodal'),
    path('reference/', views.add_reference_modal, name='addreferencemodal'),
    path('tag/', views.add_tag_modal, name='addtagmodal'),
    path('reaction/<int:status_id>/<str:emoji>/', views.add_reaction, name='add_reaction'),
    path('ticket/customer/<int:customer_id>/', views.add_ticket, name='addcustomerticket'),
    path('ticket/project/<str:project_id>/', views.add_ticket, name='addprojectticket'),
    path('ticket', views.add_ticket, name='addticket'),
    path('fetch-customer-information/<int:customer_id>/', views.fetch_customer_information, name='fetch_customer_information'),
    path('ticketupdate/<int:ticket_id>/', views.add_ticket_update, name='addticketupdate'),
    

    path('fileUploader/', views.upload_file, name='fileUploader'),

]